if (GetLocale() == "enUS") or (GetLocale() == "enGB") then
	errorRaid 		= "You are not a raid leader or have raid assist, and cannot perform a 'ready check'."
	errorParty 		= "You are not the party leader and cannot perform a 'ready check'."
	errorNoGroup 	= "You are not in a group."
-- Chat Configuration
elseif (GetLocale() == "frFR") then
	errorRaid 		= "Vous n'êtes pas un chef de raid ou n’avez pas avoir 'Raid Assist', et ne pouvez pas effectuer un 'ready check'."
	errorParty 		= "Vous n'êtes pas le chef du parti et ne pouvez pas effectuer un 'ready check'."
	errorNoGroup 	= "Vous n'êtes pas dans un groupe."
elseif (GetLocale() == "ruRU") then
	-- Thanks Vladimir Akinshin 
	errorRaid 		= "Вы не являетесь Лидером Рейда или у вас нет Прав Ассистента, и вы неможете проводить Проверку на готовность."
	errorParty 		= "Вы не лидер группы и не можете проводить Проверку на готовность."
	errorNoGroup 	= "Вы не в группе."
elseif (GetLocale() == "deDE") then
	errorRaid 		= ""
	errorParty 		= ""
	errorNoGroup 	= ""
elseif (GetLocale() == "koKR") then
	errorRaid 		= ""
	errorParty 		= ""
	errorNoGroup 	= ""
elseif (GetLocale() == "zhCN") then
	errorRaid 		= "你不是团长或没有助理权限执行准备确认。"
	errorParty 		= "你不是队长，无法执行准备确认。"
	errorNoGroup 	= "你不在队伍或团队中。"
elseif (GetLocale() == "zhTW") then
	errorRaid 		= "你不是團長或沒有助理權限執行準備確認。"
	errorParty 		= "你不是隊長，無法執行準備確認。"
	errorNoGroup 	= "你不在隊伍或團隊中。"
elseif (GetLocale() == "esES") then
	errorRaid 		= "Usted no es un 'Raid Leader' o 'Raid Assist', y no puede realizar una 'ready check'."
	errorParty 		= "Usted no es el líder del partido y no puede realizar una 'ready check'."
	errorNoGroup 	= "Usted no está en un grupo."
elseif (GetLocale() == "esMX") then
	errorRaid 		= "Usted no es un 'Raid Leader' o 'Raid Assist', y no puede realizar una 'ready check'."
	errorParty 		= "Usted no es el líder del partido y no puede realizar una 'ready check'."
	errorNoGroup 	= "Usted no está en un grupo."
else
	errorRaid 		= ""
	errorParty 		= ""
	errorNoGroup 	= ""
end



function osRC()
	if UnitIsGroupLeader("player") or UnitIsRaidOfficer("player") then
		DoReadyCheck()
	else
		if IsInRaid() then
			print(OStext..errorRaid)
		elseif IsInGroup() then
			print(OStext..errorParty)
		else
			print(OStext..errorNoGroup)
		end
	end
end

SLASH_RC1 = "/rc";
SLASH_RC2 = "/readycheck";
SlashCmdList["RC"] = osRC